package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.service.entity.TabHaobanWxApplication;

public interface WxApplicationService {

	TabHaobanWxApplication selectBySiteIdAndWxEnterpriseId(String siteId, String wxEnterpriseId);

	void insert(TabHaobanWxApplication tab);

	void update(TabHaobanWxApplication tab);

	TabHaobanWxApplication selectByWxEnterpriseIdAndApplicationType(String wxEnterpriseId, int applicationType);

	int cancalWxApplication(String corpId, String suiteId);

	/**
	 * 选择通过公司id
	 *
	 * @param corpid corpid
	 * @return {@link TabHaobanWxApplication }
	 * @author mozhu
	 * @date 2022-01-10 14:28:09
	 */
	TabHaobanWxApplication selectByCorpId(String corpid);

	/**
	 * 选择通过公司id和应用程序类型
	 *
	 * @param corpId          公司标识
	 * @param applicationType 应用程序类型
	 * @return {@link TabHaobanWxApplication }
	 * @author mozhu
	 * @date 2022-01-10 14:28:03
	 */
	TabHaobanWxApplication selectByCorpIdAndApplicationType(String corpId, int applicationType);
}
